<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\ImageColumn;

class ImageImageColumn extends ImageColumn
{
    public static function create(): static
    {
        return parent::make('image')
            ->label('تصویر')
            ->disk('public')
            ->defaultImageUrl(url('files/default-post.png'))
            ->circular()
            ->toggleable()
            ->width(40);
    }
}
